package cn.superdesk.uniorder.dto.vo.inv;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author Administrator
 * 发票详情抬头和分录
 */
public class ViewInvoiceDetailsHead implements Serializable {


	/**
	 *
	 */
	private static final long serialVersionUID = 1004377988580872442L;

	private String mdzId; //帐单ID
	private String invoiceNumber; //发票号
	private String expressCompany;//快递公司
	private String expressNo;//快递单号
	private String enterpriseName;//企业名称
	private String companyName;//开票抬头

	private String     addressRealname;//账单联系人
	private String     addressMobile;//账单联系人电话
	private String     addressAddress;//账单地址
	private BigDecimal invoiceAccount;//订单金额


	private List<ViewInvoiceDetailsList> ListViewInvoiceManage;//发票明细数据


	public String getInvoiceNumber() {
		return invoiceNumber;
	}


	public void setInvoiceNumber(String invoiceNumber) {
		this.invoiceNumber = invoiceNumber;
	}


	public String getExpressCompany() {
		return expressCompany;
	}


	public void setExpressCompany(String expressCompany) {
		this.expressCompany = expressCompany;
	}


	public String getExpressNo() {
		return expressNo;
	}


	public void setExpressNo(String expressNo) {
		this.expressNo = expressNo;
	}


	public String getEnterpriseName() {
		return enterpriseName;
	}


	public void setEnterpriseName(String enterpriseName) {
		this.enterpriseName = enterpriseName;
	}


	public String getCompanyName() {
		return companyName;
	}


	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}


	public String getAddressRealname() {
		return addressRealname;
	}


	public void setAddressRealname(String addressRealname) {
		this.addressRealname = addressRealname;
	}


	public String getAddressMobile() {
		return addressMobile;
	}


	public void setAddressMobile(String addressMobile) {
		this.addressMobile = addressMobile;
	}


	public String getAddressAddress() {
		return addressAddress;
	}


	public void setAddressAddress(String addressAddress) {
		this.addressAddress = addressAddress;
	}


	public List<ViewInvoiceDetailsList> getListViewInvoiceManage() {
		return ListViewInvoiceManage;
	}


	public void setListViewInvoiceManage(
			List<ViewInvoiceDetailsList> listViewInvoiceManage) {
		ListViewInvoiceManage = listViewInvoiceManage;
	}


	public BigDecimal getInvoiceAccount() {
		return invoiceAccount;
	}

	public void setInvoiceAccount(BigDecimal invoiceAccount) {
		this.invoiceAccount = invoiceAccount;
	}


	public String getMdzId() {
		return mdzId;
	}

	public void setMdzId(String mdzId) {
		this.mdzId = mdzId;
	}

}
